# Markets

- [Get market info](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-market-info.md): This endpoint allows users to get exchange information, including market specifications for all available trading pairs.
- [Get prices](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-prices.md): This endpoint allows users to get price information for all symbols, including mark prices, funding rates, and market statistics.
- [Get candle data](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-candle-data.md): This endpoint allows users to get historical price candles for a specific market and time interval.
- [Get mark price candle data](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-mark-price-candle-data.md): This endpoint allows users to get historical mark price candles for a specific market and time interval.
- [Get orderbook](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-orderbook.md): This endpoint allows users to retrieve the current orderbook (bid/ask levels) for a specified trading symbol.
- [Get recent trades](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-recent-trades.md): This endpoint allows users to get recent trades for a specific market.
- [Get historical funding](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-historical-funding.md): This endpoint retrieves the historical funding for a particular symbol
- [Get fee levels](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-fee-levels.md): This endpoint returns all fee level tiers and their corresponding maker and taker fee rates.
- [Get loan pool](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-loan-pool.md): This endpoint returns the current state of the loan pool including utilization, borrow and lend rates.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
